FROM node:12.16.1-buster-slim as build

RUN apt-get update

RUN mkdir /app
WORKDIR /app

RUN npm install -g @quasar/cli

COPY . .

RUN npm install

RUN quasar build

FROM node:12.16.1-buster-slim as deploy

RUN mkdir -p /app/dist
WORKDIR /app

COPY --from=build /app/dist ./dist
COPY --from=build /app/package.* ./
COPY --from=build /app/server.js ./

RUN npm install

CMD ["node", "server.js"]